instproxy_archive
instproxy_browse
instproxy_browse_with_callback
instproxy_check_capabilities_match
instproxy_client_free
instproxy_client_get_path_for_bundle_identifier
instproxy_client_new
instproxy_client_options_add
instproxy_client_options_free
instproxy_client_options_new
instproxy_client_options_set_return_attributes
instproxy_client_start_service
instproxy_client_t
instproxy_command_get_name
instproxy_error_t
instproxy_install
instproxy_lookup
instproxy_lookup_archives
instproxy_remove_archive
instproxy_restore
INSTPROXY_SERVICE_NAME
instproxy_status_cb_t
instproxy_status_get_current_list
instproxy_status_get_error
instproxy_status_get_name
instproxy_status_get_percent_complete
instproxy_uninstall
instproxy_upgrade

## instproxy_status_get_error()

LIBIMOBILEDEVICE_API instproxy_error_t instproxy_status_get_error | ( | plist_t | status,
|  | char ** | name,
|  | char ** | description,
|  | uint64_t * | code )

Gets error name, code and description from a response if available.

Parameters

  status | The dictionary status response to use.
  name | Pointer to store the name of an error.
  description | Pointer to store error description text if available. The caller is reponsible for freeing the allocated buffer after use. If NULL is passed no description will be returned.
  code | Pointer to store the returned error code if available. If NULL is passed no error code will be returned.

Returns
  INSTPROXY_E_SUCCESS if no error is found or an INSTPROXY_E_* error value matching the error that ẃas found in the status.